Name:		wind
Version:	1.5
Release:	1
Summary:	Wind is a window manager for the X Window System
Source0:	http://sourceforge.net/projects/windwm/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
URL:		http://windwm.sourceforge.net/
Group:		User Interface/X
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  patch
BuildRequires:  libXft-devel >= 2.1.14
Requires:       libXft >= 2.1.14

%description
Wind is a window manager for the X Window System. It supports virtual
desktops, optional Xft font rendering, and is fairly standards-compliant.
It provides classic overlapping window management with click-to-type focus.
Windows are never minimized.

Wind implements most parts of the ICCCM and EWMH/NetWM standards, which
means applications usually work more or less as expected.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0


%build
export CC="cc -qcpluscmt"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc LICENSE NEWS README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Wed Jan 19 2011 Michael Perzl <michael@perzl.org> - 1.4-1
- first version for AIX V5.1 and higher
